% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/ora.R
\name{plotEnrichment2}
\alias{plotEnrichment2}
\title{Plot Enrichment for a Specific Pathway in fgsea}
\usage{
plotEnrichment2(pathways, pwayname, stats, gseaParam = 1, ticksSize = 0.2)
}
\arguments{
\item{pathways}{A list of pathways.}

\item{pwayname}{The name of the pathway for which to plot enrichment.}

\item{stats}{A rank vector obtained from the 'fgsea' package.}

\item{gseaParam}{The GSEA walk length parameter. Default is 1.}

\item{ticksSize}{The size of the tick marks. Default is 0.2.}
}
\value{
A ggplot object representing the enrichment plot.
}
\description{
This function creates a plot of enrichment scores for a specified pathway.
It provides a visual representation of the enrichment
score (ES) along with the ranks and ticks indicating the GSEA walk length.
}
